body {
  padding: 50px;
  margin: 0;
  font-family: 'Sarabun', sans-serif;
}
.frame {
    margin: 0 auto;
  width: 300px;
  height: 500px;
  border: 1px solid #A9A9A9;
  padding: 40px 5px 5px 5px;
  box-sizing: border-box;
  overflow: auto;
}
.message_container {
  clear: both; 
}
.message {
/*   height: 40px; */
  line-height: 40px;
  width: fit-content;
  padding: 0 10px;
  margin-bottom: 5px;
  max-width: 70%!important;
  word-wrap: break-word;
}
.text {
  
}
.msgTimeR {
    clear: both;
    float: right;
    margin-top: -7px;
    margin-bottom: 10px;
    font-size: 12px;
}
.msgTimeL {
    clear: both;
    float: left;
    margin-top: -7px;
    margin-bottom: 10px;
    font-size: 12px;
}
.sender {
  background: blue;
  color: white;
  border-radius: 7px 7px 0 7px;
  text-align: right;
  float: right;
}
.time {
  clear: both;
  margin-bottom: 10px;
}
.s {
  font-size: 12px;
  padding-right: 10px;
  float: right;
}
.receiver {
  background: #dbdbdb;
  border-radius: 7px 7px 7px 0;
  text-align: left;
  float: left;
}
.icon {
  float: left;
  background: #dbdbdb;
  margin-right: 5px;
  margin-bottom: 5px;
  border-radius: 20px;
  width: 30px;
  height: 40px;
}
#foo {
    margin: 0 auto;
  clear: both;
  bottom: 0;
  width: 300px;
  height: 50px;
  box-sizing: border-box;
}
#typer {
  height: 50px;
  width: 250px;
  padding: 5px;
  padding-left: 10px;
  box-sizing: border-box;
  border: none;
  border-right: 1px solid #a9a9a9;
  border-bottom: 1px solid #a9a9a9;
  border-left: 1px solid #a9a9a9;
  outline: none;
  background: #fff;
}
#input_wrap {
  width: 250px;
  height: 50px;
  float: left;
}
#button_wrap {
  width: 50px;
  height: 50px;
  float: left;
  text-align: center;
  line-height: 60px;
  border-right: 1px solid #a9a9a9;
  border-bottom: 1px solid #a9a9a9;
  box-sizing: border-box;
}
/* #button_wrap:before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  height: 100%;
} */
button {
  border: none;
  background: #fff;
  padding: 0;
  margin: 0;
  height: fit-content;
}
@media only screen and (max-width: 600px) {
    body {
        padding: 0;
    }
    .frame {
        width: 100vw;
    }
    #foo {
        width: 100vw;
    }
    #input_wrap {
        width: 100vw;
        max-width: calc(100vw - 50px);
    }
    #typer {
        width: 100vw;
        max-width: calc(100vw - 50px);
    }
}